JavaScript
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const response = await client.browsers.process.exec('id', { command: 'command' });
console.log(response.duration_ms);import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
response = client.browsers.process.exec(
id="id",
command="command",
)
print(response.duration_ms)package main
import (
"context"
"fmt"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Browsers.Process.Exec(
context.TODO(),
"id",
kernel.BrowserProcessExecParams{
Command: "command",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.DurationMs)
}curl --request POST \
--url https://api.onkernel.com/browsers/{id}/process/exec \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command": "<string>",
"args": [],
"cwd": "<string>",
"env": {},
"as_user": "<string>",
"as_root": false,
"timeout_sec": 123
}
'
{
"exit_code": 123,
"stdout_b64": "<string>",
"stderr_b64": "<string>",
"duration_ms": 123
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Browser Processes
Execute a command synchronously
POST
/
browsers
/
{id}
/
process
/
exec
JavaScript
import Kernel from '@onkernel/sdk';
const client = new Kernel({
apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});
const response = await client.browsers.process.exec('id', { command: 'command' });
console.log(response.duration_ms);import os
from kernel import Kernel
client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
response = client.browsers.process.exec(
id="id",
command="command",
)
print(response.duration_ms)package main
import (
"context"
"fmt"
"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)
func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Browsers.Process.Exec(
context.TODO(),
"id",
kernel.BrowserProcessExecParams{
Command: "command",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.DurationMs)
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Browser session ID
Body
application/json
Request to execute a command synchronously.
Executable or shell command to run.
Command arguments.
Working directory (absolute path) to run the command in.
Pattern:
^/.*Environment variables to set for the process.
Show child attributes
Show child attributes
Run the process as this user.
Run the process with root privileges.
Maximum execution time in seconds.
⌘I